#pragma once

#include "AbstractUiInterface.h"

#include <memory>

class DesktopManager;

class UiInterfaceFactory
{
public:
    enum class Backend
    {
        UNSET,
        X11,
        WAYLAND
    };

    static std::unique_ptr<AbstractUIInterface> create(DesktopManager* desktopManager, Backend backend = Backend::UNSET);
};
